<?php
require('geoip.class.php');

GeoIP::SetDBFileName('geolitecountry.bin');

function test($ip, $expectedCC)
{
	$data = GeoIP::LookupIP($ip);
	
	echo $ip;
	#echo ' (' . IpToNum($ip) . ')';
	echo ': ' . $data['cc'];
	if ($data['cc'] == $expectedCC)
		echo ' <span style="color: green;">[OK]</span>';
	else
		echo ' <span style="color: red;">[ERROR: expected ' . $expectedCC . ']</span>';
	echo "\n";
}

echo '<pre>';

$t0 = microtime(true);

test('1.1.1.1', 'AU');
test('133.234.67.87', 'JP');
test('80.12.34.56', 'FR');
test('97.231.45.67', 'US');
test('97.231.45.67', 'US');
test('98.231.45.67', 'US');
test('99.231.45.67', 'CA');
test('120.231.45.67', 'CN');
test('145.231.45.67', 'FR');
test('187.231.45.67', 'MX');
test('32.231.45.67', 'US');
test('57.86.133.98', '');   // "EU" in the original database
test('2a01:4f8:121:5161::2', 'DE');
test('2001:4860:b007::68', 'US');

echo 'Time: ' . round((microtime(true) - $t0) * 1000, 2) . " ms\n";

?>
